收藏
回答

小程序全面支持es6了吗?

问题模块
API和组件

小程序全面支持es6了吗?小程序全面支持es6了吗?小程序全面支持es6了吗?小程序全面支持es6了吗?小程序全面支持es6了吗?小程序全面支持es6了吗?小程序全面支持es6了吗?小程序全面支持es6了吗?小程序全面支持es6了吗?小程序全面支持es6了吗?小程序全面支持es6了吗?小程序全面支持es6了吗?小程序全面支持es6了吗?如标题,如标题。

最后一次编辑于  2017-07-12  (未经腾讯允许,不得转载)
邀请回答
复制链接收藏投诉关注问题回答

8 个回答

  • 亮Hoowin
    亮Hoowin
    2017-07-12

    目前不支持 可以引入es6-promise.min.js    npm下载

    2017-07-12
    赞同
    回复
  • 晨
    2017-07-12

    请参见 https://mp.weixin.qq.com/debug/wxadoc/dev/devtools/details.html

    2017-07-12
    赞同
    回复
  • spring
    spring
    2017-07-12

    不引入好像也支持不分es6的语法和特性啊

    2017-07-12
    赞同
    回复
  • 晨
    2017-07-12

    请在开发工具中选择开启 es6转es5

    2017-07-12
    赞同
    回复
  • spring
    spring
    2017-07-12

    我不开启es6转es5,es6的语法也没报错啊!

    2017-07-12
    赞同
    回复
  • 晨
    2017-07-12

    不开启转换时es6特性支持与系统版本有关,不能保证普遍兼容。建议开启。

    2017-07-12
    赞同
    回复
  • spring
    spring
    2017-07-12

    那就是说我在开发中全部用es6开发,转成es5就行了是吧!

    2017-07-12
    赞同
    回复
  • 晨
    2017-07-12

    可以的。部分es6特性暂时无法支持请参考之前发的文档表格

    2017-07-12
    赞同
    回复